//
//  Media_Library_AppDelegate.h
//  Media Library
//
//  Created by Drarok Ithaqua on 13/04/2008.
//  Copyright Zerifas Software 2008 . All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface Media_Library_AppDelegate : NSObject {
    IBOutlet NSWindow *window;
	IBOutlet NSWindow *seasonsWindow;
	
	IBOutlet NSArrayController *showController;
	IBOutlet NSArrayController *seasonController;
	IBOutlet NSArrayController *episodeController;
	
	IBOutlet NSWindow *addShowSheet;
	IBOutlet NSWindow *addSeasonSheet;
	IBOutlet NSWindow *addEpisodeSheet;
	
	IBOutlet NSTableView *showTable;
	IBOutlet NSTableView *seasonTable;
	IBOutlet NSTableView *episodeTable;
    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;
}

- (NSPersistentStoreCoordinator *)persistentStoreCoordinator;
- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;

- (IBAction)addShow:(id)sender;
- (IBAction)addSeason:(id)sender;
- (IBAction)addEpisode:(id)sender;

- (IBAction)showShowDetails:(id)sender;
- (IBAction)showSeasonDetails:(id)sender;
- (IBAction)showEpisodeDetails:(id)sender;

- (IBAction)closeAddShowSheet:(id)sender;
- (IBAction)closeAddSeasonSheet:(id)sender;
- (IBAction)closeAddEpisodeSheet:(id)sender;

@end
